aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Hahler <github@thequod.de>2017-12-30 14:15:51 +0100
committerJustin M. Keyes <justinkz@gmail.com>2017-12-30 14:15:51 +0100
commit0d548b73efb31452465dab5d15238e336125042c (patch)
tree57de907c4ca040fc15a25779c3ab337623cf4a73
parent9dc90fcde1e171001bd17f680c866b2461bbc48a (diff)
downloadrneovim-0d548b73efb31452465dab5d15238e336125042c.tar.gz
rneovim-0d548b73efb31452465dab5d15238e336125042c.tar.bz2
rneovim-0d548b73efb31452465dab5d15238e336125042c.zip
scripts/vim-patch.sh: continue when patching with -P fails (#7790)
The `set -e` caused the script to stop in case `patch` fails, but it is better to continue giving instructions.
-rwxr-xr-xscripts/vim-patch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/vim-patch.sh b/scripts/vim-patch.sh
index c6ff280bb5..ac5e326e9d 100755
--- a/scripts/vim-patch.sh
+++ b/scripts/vim-patch.sh
@@ -234,7 +234,7 @@ stage_patch() {
printf "\n✘ 'patch' command not found\n"
else
printf "\nApplying patch...\n"
- patch -p1 --posix < "${patch_file}"
+ patch -p1 --posix < "${patch_file}" || true
fi
printf "\nInstructions:\n Proceed to port the patch.\n"
else